Loading...
Searching...
No Matches
caf::detail::tl_trim< List, What > Struct Template Reference

Removes trailing What elements from the end. More...

`#include <type_list.hpp>`

## Public Types

using | type

## Detailed Description

template<class List, class What = unit_t>
struct caf::detail::tl_trim< List, What >

Removes trailing What elements from the end.

## Member Typedef Documentation

## type

template<class List, class What = unit_t>

using caf::detail::tl_trim< List, What >::type

Initial value:
typename std::conditional<
std::is_same<typename tl_back<List>::type, What>::value,
typename tl_trim<tl_pop_back_t<List>, What>::type,
List
>::type
caf::detail::tl_trim
Removes trailing What elements from the end.
Definition type_list.hpp:1021

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_list.hpp